Bug 1803424 - python3-pynwb-1.1.0-2.fc31 requires python3.7dist(hdmf) = 1.3.3
Summary: python3-pynwb-1.1.0-2.fc31 requires python3.7dist(hdmf) = 1.3.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pynwb
Version: 31
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-16 05:20 UTC by Edgar Hoch
Modified: 2020-02-26 17:58 UTC (History)
3 users (show)

Fixed In Version: python-pynwb-1.2.1-1.fc30 python-pynwb-1.2.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-25 14:38:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Edgar Hoch 2020-02-16 05:20:59 UTC
Description of problem:

dnf upgrade prints:
 Problem 1: cannot install the best update candidate for package python3-pynwb-1.1.0-2.fc31.noarch
  - nothing provides python3.7dist(hdmf) = 1.3.3 needed by python3-pynwb-1.1.2-1.fc31.noarch

python3-hdmf doesn't provide python3.7dist(hdmf) = 1.3.3 but version 1.5.4:

# rpm -q --provides python3-hdmf
python-hdmf = 1.5.4-1.fc31
python3-hdmf = 1.5.4-1.fc31
python3.7dist(hdmf) = 1.5.4
python3dist(hdmf) = 1.5.4


I'm not sure why the package requires exact this version for hdmf:

# rpm -q --requires -p python3-pynwb-1.1.2-1.fc31.noarch.rpm 
python(abi) = 3.7
python3.7dist(chardet)
python3.7dist(h5py)
python3.7dist(hdmf) = 1.3.3
python3.7dist(numpy)
python3.7dist(pandas)
python3.7dist(python-dateutil)
python3.7dist(ruamel.yaml)
python3.7dist(six)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsZstd) <= 5.4.18-1



Version-Release number of selected component (if applicable):
python3-pynwb-1.1.0-2.fc31.noarch
python3-hdmf-1.5.4-1.fc31.noarch


How reproducible:
Always.

Comment 1 Ankur Sinha (FranciscoD) 2020-02-16 12:57:12 UTC
Thanks for the bug report. Upstream has released a new version that works with hdmf-1.5.4, so I'll update this package here and that should fix this issue too.

Cheers

Comment 2 Fedora Update System 2020-02-16 13:19:05 UTC
FEDORA-2020-01ebf06fc8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-01ebf06fc8

Comment 3 Fedora Update System 2020-02-16 13:19:09 UTC
FEDORA-2020-2f2d887790 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2f2d887790

Comment 4 Ankur Sinha (FranciscoD) 2020-02-16 13:20:48 UTC
Please test the update and give it karma to confirm that it works:

https://fedoraproject.org/wiki/QA:Updates_Testing

Comment 5 Fedora Update System 2020-02-17 01:03:05 UTC
python-pynwb-1.2.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2f2d887790

Comment 6 Fedora Update System 2020-02-17 01:14:58 UTC
python-pynwb-1.2.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-01ebf06fc8

Comment 7 Fedora Update System 2020-02-25 14:38:51 UTC
python-pynwb-1.2.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-02-26 17:58:51 UTC
python-pynwb-1.2.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.